POST api/NTPrescreeningDiversion/SavePrescreeningDiversion
Request Information
URI Parameters
None.
Body Parameters
PrescreeningDiversionDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CorporationCode | string |
String length: inclusive between 0 and 20 |
|
| EmployeeId | string |
String length: inclusive between 0 and 15 |
|
| Answer1 | boolean |
None. |
|
| Answer2 | boolean |
None. |
|
| Answer3 | boolean |
None. |
|
| Answer4A | boolean |
None. |
|
| Answer4B | boolean |
None. |
|
| CaseNo | integer |
None. |
|
| IsEmailNotificationSent | integer |
None. |
|
| IsTextNotificationSent | boolean |
None. |
|
| Reason | string |
String length: inclusive between 0 and 4000 |
|
| MessageQueueId | integer |
None. |
|
| NotificationTypeId | integer |
None. |
|
| UserName | string |
String length: inclusive between 0 and 100 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"CorporationCode": "sample string 2",
"EmployeeId": "sample string 3",
"Answer1": true,
"Answer2": true,
"Answer3": true,
"Answer4A": true,
"Answer4B": true,
"CaseNo": 1,
"IsEmailNotificationSent": 1,
"IsTextNotificationSent": true,
"Reason": "sample string 4",
"MessageQueueId": 1,
"NotificationTypeId": 1,
"UserName": "sample string 5",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:49.3847567-07:00",
"DateUpdated": "2026-08-04T14:29:49.3847567-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfPrescreeningDiversionDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | PrescreeningDiversionDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"CorporationCode": "sample string 2",
"EmployeeId": "sample string 3",
"Answer1": true,
"Answer2": true,
"Answer3": true,
"Answer4A": true,
"Answer4B": true,
"CaseNo": 1,
"IsEmailNotificationSent": 1,
"IsTextNotificationSent": true,
"Reason": "sample string 4",
"MessageQueueId": 1,
"NotificationTypeId": 1,
"UserName": "sample string 5",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:49.4003938-07:00",
"DateUpdated": "2026-08-04T14:29:49.4003938-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
},
"totalCount": 3
}